AutoCAD Inventor :: Getting Virtual Components To Be Counted / Included In An EXCEL BOM
Jun 5, 2012
getting virtual Components to be included in an Excel output of an assy BOM. I have an existing macro (see code below) that exports the StockNumber, partNumber,Description and an occurrence count of each item to an Excel spreadshet. It all works fine except for Virtual Componenst which are not included. It seems that because no file is created that the VC item can't be included in the Excel doc.
Sub Assy2Excel()
Dim oAssDoc As AssemblyDocument
Set oAssDoc = ThisApplication.ActiveDocument
Dim SIPropSet As PropertySet
Set SIPropSet = oAssDoc.PropertySets.Item("Summary Information")
Dim rev As String
rev = SIPropSet.ItemByPropId(kRevisionSummaryInformation).Value
If oAssDoc.DocumentType <> kAssemblyDocumentObject Then
MsgBox "The Active document must be an 'Assembly'.", vbExclamation
Exit Sub
End If
If MsgBox("The generated list is for the use of the Purchasing Department. It counts all of the BOUGHT & MADE parts in the assembly. Some manual editing will be required to 'clean up' the list.
", vbYesNo + vbQuestion) = vbNo Then
Exit Sub
End If
Dim oDocs As DocumentsEnumerator
Set oDocs = oAssDoc.AllReferencedDocuments
[code]....
HP Z420 Workstation, Windows 7 x64, 64 GB Ram
Intel Xeon E5-1620 @ 3.60 GHz, ATI FirePro V7800 2 GB
3*Dell 2007Fp monitors, SpacePilot
Inventor 2013 PDS Premium & Service Pack 2 with Update 3
Vault Workgroup 2013 with Update 2
View 2 Replies
ADVERTISEMENT
Jun 7, 2013
I have a VBA macro that places selected virtual components into an assembly. I can place virtual components with different part numbers into the assembly with no problem. When I try to place the second instance of a virtual component with the same part number I get an error.
For example: If I place a virtual component with the part number C123A456 into an assembly it shows in the tree as C123A456:1 If I try to place C123A456 again it errors at this line.
'Add selected line as a virtual part
Set oOcc = oOccs.AddVirtual(sPartNumber, oMatrix)
I can place multiple virtual parts if I append -1, -2, -3 etc to the part number but I would like to let Inventor use the :1, :2, :3 to keep track.
View 9 Replies
View Related
Jul 28, 2013
In Inventor you can use "virtual components" in assemblies for things like paint, oil etc. In Vault, these virtual components will get an item number. Is it possible to re-use a virtual component in another assembly?
Like the same paint for 2 different models (maybe just differing in amount). Right now I would have to create a lot of items for the same thing.
View 6 Replies
View Related
Jan 20, 2013
I am using Primo PDF virtual printer to convert Excel document into PDF format. However, every time I attempt to do this, PS Elements 10 opens and imports the document. How can I turn this off?
View 1 Replies
View Related
Oct 30, 2008
When I link in an excel document to my model all parameters in that excel gets the unit (mm).
How can I change this? For instance I want some of the parameters to be an angle.
View 8 Replies
View Related
Sep 4, 2013
Recently I have been trying to build table driven products and ipart tables, but when I copy a member to create a new part number, upon exiting the iassembly author I get the following message "excel installation is required for this operation. failed to launch excel". I have a fully functional version of 2010 Excel installed which has been used so it should be recognized in the windows registry. I am running Windows 8 and Autodesk Inventor 2014.
View 6 Replies
View Related
Jan 23, 2013
What all files must be included to email a simulation report in 2013?
View 1 Replies
View Related
Nov 5, 2013
I got the following task, to do A4 document with 10 mm bleed. It should be exported to PDF
Means: document size: 210 mm x 297 mm
The finished document include bleed should be: 230 x 317 (210 + 2x10 x 297 + 2x10).
I have set bleed limit to 10mm and the same in PDF settings.
The document has right printing area: 210x297 but the bleed is not 10mm but 22,4 mm (it everywhere ads + cca. 12,4 mm)
View 3 Replies
View Related
Oct 26, 2011
Is there an easier way to dimension to a virual sharp or place the ordinate dimension origin on a virtual sharp than by trying to drag the point along each line until you get the dotted lines to intersect?
View 6 Replies
View Related
Dec 28, 2011
I am using 2012 and am having a problem dimensioning to a virtual sharp.
On the above corner I select the straight edge on top or to the left of the corner. I then right click to bring up the intersect option but the only options I get are one, Snap Settings, Zoom, Pan, and Help.
Do I have a setting off somewhere? Or is there a location where the sharps don't work?
View 4 Replies
View Related
Dec 8, 2013
I have a script that is perfectly works in 2012 inventor pro version. It moves newly added virtual parts into the VIRTUAL_PARTS folder. Part of script is below:
Dim oFolder As BrowserFolder Dim oTopNode As BrowserNode oTopNode = oPane.TopNode() Dim oTopNodeOcc As BrowserFoldersEnumerator oTopNodeOcc = oTopNode.BrowserFolders For Each oFolder In oTopNode.BrowserFolders i = i + 1 Next If i = 0 Then oFolder = oPane.AddBrowserFolder("VIRTUAL_PARTS", oOccurrenceNodes) Else For Each oFolder In oTopNode.BrowserFolders If oFolder.Name = "VIRTUAL_PARTS" Then For Each oOcc In oAsmCompDef.Occurrences If TypeOf oOcc.Definition Is VirtualComponentDefinition Then oNode = oPane.GetBrowserNodeFromObject(oOcc) End If 'MsgBox(oTopNodeOcc(1).Name) oTopNodeOcc(1).Add(oNode) Next Else ' do nothing End If Next End If
In 2014 pro it works only once, when I add first virtual part. It creates a folder and moves it there. When I add 2nd virtual part it gives me a error
see screenshot below.
View 4 Replies
View Related
Mar 18, 2013
I am trying to use iLogic to programatically create virtual components in an assembly. These components will by used as iProperty "buckets" to hold Machine Center specific information to be exported to production planning software. This information is hierarchical in nature and cannot be (conveniently) stored in the assembly iproperties directly.
View 3 Replies
View Related
Sep 26, 2013
How to add a virtual part from an excel list to assembly using vb.net plugin. I`d like to know how to change i Properties of the virtual part through vb.net.
The iLogic code that I would typically use is:
Dim occs As ComponentOccurrencesoccs = asmDoc.ComponentDefinition.OccurrencesDim identity As Matrixidentity = ThisApplication.TransientGeometry.CreateMatrix
Dim virtOcc As ComponentOccurrenceIf v_qty >= 1 ThenvirtOcc = occs.AddVirtual(sVirtPart, identity) Try iProperties.Value(sVirtPart & ":1", "Project", "Description") = oProp1iProperties.Value(sVirtPart & ":1", "Summary", "Title") = oProp1 Catch End Try.......
so for the plugin I need to re-write this
Dim _invApp As Inventor.ApplicationDim occs As ComponentOccurrencesoccs = asmDoc.ComponentDefinition.Occurrences
Dim identity As Matrixidentity = _invApp.TransientGeometry.CreateMatrix Dim virtOcc As ComponentOccurrence If vp_qty >= 1 Then virtOcc = occs.AddVirtual(sVirtPart, identity) 'Try ' iProperties.Value(sVirtPart & ":1", "Project", "Description") = oProp1 ' iProperties.Value(sVirtPart & ":1", "Summary", "Title") = oProp1 'Catch 'catch error when oProp1 = nothing 'End Try
How should I re-write the text in bold , so it works?
View 4 Replies
View Related
Jul 19, 2013
I would like to include Terminals and other virtual parts in het BOM on my drawing. For this I need to generate a report. I have defined my own virtual parts but somhow their properties are not accessible. You can see 88 items but this is the total of all segements and pins. Somehow partnumbers show as "---". I have included the report configuration file I am using.
View 2 Replies
View Related
Jan 3, 2012
I'm currently using Inventor Professional 2012, and have been experiencing problems with virtual memory usage. In past versions of Inventor, the small bar graph counter at the bottom right-hand corner of the screen (Virtual memory counter? Not sure what to call it...) would "re-fresh" after closing a model, drawing, etc. (i.e. Once closing the file, the counter would change from yellow to green, bringing the virtual memory usage back to zero). However, this isn't happening with 2012, and I'm not sure if the problem is the way Inventor was installed onto my workstation, or if it's a problem with the hardware. A temporary solution has been to shut down Inventor when the bar graph gets too far into the yellow range (or red), and then starting up Inventor again.
Specs for my workstation are as follows: Windows 7 (32-bit), processor is Intel(R) Xeon(R) CPU W3503 @ 2.4GHz 2.39GHz, 3GB RAM.
View 3 Replies
View Related
Apr 18, 2012
How do I ad my own terminals, seals etc. under Connecter Pin Propertiesvirtual parts, and how do get this information on the nailboard.
Alternatively, I would to put this information(seals and terminals that are to be used with the connector) directly on the connector that i publish to content center, some sort of property/text, that I can retrieve on the drawing/nailboard.
View 1 Replies
View Related
Jul 17, 2012
I thought I had virtual sharps figured out but I guess not. I can dimension to the virtual sharps point but the wittness lines are not showing up. Thus it appears that the dimension is to something off in space. Where do I find the setting to show the wittness lines and select the style of lines? As I wrote this I thought of "styles editor" but I didn't fijnd anything there either.
Inventor Premium 2013 SP1.1
Vault 2013- plain vanilla version
HP G71 notebook
celeron cpu w 4gb RAM and 64 bit system
Win 7 home premium
View 9 Replies
View Related
Aug 16, 2013
code example of how in .iam create a virtual part and save it separately in specific folder?
View 3 Replies
View Related
May 13, 2013
Here in some IAM mine, i need to put a % more of some parts, so I decided to use virtual components for that. It worked great, but I'm with 2 doubts to get faster doing that.
1º - Is there a way to link the properties of a virtual component, to an existing part ? Like mass, part number and some Customs too. That would be easier in this case, when I need just put some more parts without change the modeling visual.
2º - Can I use a template to create a virtual component ? I did some searches, but I just found topics from 2005 that it wasn't possible, but with IV 2013 or even 2014 is that possible ? I have here many custom properties that I always have to create again in virtual components.
View 1 Replies
View Related
Jan 10, 2013
Error message read:
Microsoft C++ Runtime Library
Runtime error!
ProgramC:Programfilesautodeskinventor213ininventor.exe
R6025
Pure virtual function call
Clicking okay then shut downs Inventor loosing any work not saved.
View 3 Replies
View Related
Sep 25, 2013
I`m working on the code that reads a list of virtual parts from Excel and adds required qty into the assembly. So far it looks good, I just need to know how to create a folder in a Assembly view tree and save virtual part in that folder instead of placing it in the root.
Dim occs As ComponentOccurrences
occs = asmDoc.ComponentDefinition.Occurrences
Dim identity As Matrixidentity = ThisApplication.TransientGeometry.CreateMatrixDim virtOcc As ComponentOccurrencevirtOcc = occs.AddVirtual(sVirtPart, identity)
View 5 Replies
View Related
Oct 22, 2012
I would like to find out how to fix two components in an assembly relative to each other, and using VBA.
What I want to do is to build the assembly (which consists of two components A and B, and also other components) and then animate the joint in component B. In order to do so, I have to fix A to B so that A moves along with the joint motion. But my problem here is that the attachment of A to B is not definite - it depends on other components in the assembly, so I cannot predefine a constrain between the two.
Is there a way I can easily fix two components relative to each other in an assembly without prior knowledge on how they are positioned relative to each other?
I'm thinking of measuring and then constraining the origins of the two part files in 6DOF, but I'm not sure how i can extract the angle between the axes and then constrain them in the correct way (mating using angles has always been confusing for me).
View 2 Replies
View Related
Apr 10, 2012
we are using level of details to suppress few components. when we are trying to take BOM for that level of details. we are getting the suppressed components also. is there any control we can do avoiding that suppressed component. I know if you make the BOM sequesnce to reference that wont come in BOM. but we need that file for other LOD.
View 9 Replies
View Related
Oct 21, 2011
I use hinges in my door assemblies and they are basically placed into the assembly each time and become flexible so the doors can operate. The hinges are one size and don't change in any way or shape. What is the best practice for inserting these hinges into my door assemblies?
Inventor 2013
Windows 7 Professional 64-bit SP1
HP EliteBook 8470w
Processor: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz
Memory: 16 GB
AMD FirePro M2000
3D Connexion SpacePilot
View 2 Replies
View Related
Nov 19, 2012
Runtime error P6025 pure virtual function call on Program.
View 1 Replies
View Related
Apr 9, 2013
I made a simple aluminum frame with clear polycarbonate shields. Somehow, when I put it on drawing sheet, some parts behind the polycarbonate are missing. If i make the polycarbonate invisible, the missing parts appear again. This strange phenomenon started today. It didn't happen before, and no parts were missing behind the clear polycarbonate.
View 6 Replies
View Related
May 10, 2012
How to manage the visibility of components in a particular view?
In attach file,View 2 is a detail view of view 1. On view 2, I want to display only the nozzle (Drain (H):1) and shell (C1306388341:1) component. So I need to set the visibility of the other component to false.When I try to code this, the components of model file of view 1 was updated not the view.
Set ViewDocument = oDetailView.ReferencedDocumentDescriptor.ReferencedDocument
For Each ViewOccurence In ViewDocument.ComponentDefinition.Occurrences
If nozzleName <> ViewOccurence.ReferencedDocumentDescriptor.DisplayName Then
ViewOccurence.Visible = False
End If
Next
The reference document I set for my code is not the document which contains the view 2. So I need to the actual reference document where view 2 belongs which is in the box of view 2 that contains 5 components.
View 2 Replies
View Related
Nov 28, 2013
In ipn file, after I created sequence and wanted to add in some more components. When I edit the sequence, I cannot find the place to add the components.
View 2 Replies
View Related
Apr 24, 2013
I would like to know if there is any possibility to replace a component with another one, that has a different internal name. Losing the dependencies would be acceptable.
ReplaceReference and PutLogicalFileNameUsingFull always return the error "wrong parameter".
View 5 Replies
View Related
Aug 2, 2013
How do I specify which template my imported components use?
View 7 Replies
View Related
Oct 28, 2011
I'm attempting to run an FEA of a preliminary design to isolate the best locations for weight reduction. When I attempt to do the analysis with convergence criteria of
Maximum number of h refinements: 2Stop criteria: 8%h Refinement Threshold: 0.5
I get the following issue:
Mesh failed: Face failure: Spar:1Model separates into 36 independent componentsSoft spring was added Is there anything I can do either model or simulation wise that will keep the model from separating?
View 9 Replies
View Related